选择Revit元素

[Autodesk.Revit.Attributes.Transaction(TransactionMode.ReadOnly)]
public class Document_Selection : IExternalCommand

{
 public Autodesk.Revit.UI.Result Execute(ExternalCommandData commandData,ref string message, ElementSet elements)

    { 
         try
         {
             UIDocument uidoc = commandData.Application.ActiveUIDocument;
             Selection selection = uidoc.Selection;
             ElementSet collection = selection.Elements;
             if (0 == collection.Size)
             {

                 TaskDialog.Show("Revit","You haven't selected any elements.");
             }
             else
             {
                 String info = "Ids of selected elements in the document are: ";
                 foreach (Element elem in collection)
                 {
                     info += "\n\t" + elem.Id.IntegerValue;
                 }
                 TaskDialog.Show("Revit",info);
             }
         }
         catch (Exception e)
         {
             message = e.Message;
             return Autodesk.Revit.UI.Result.Failed;
         }
     return Autodesk.Revit.UI.Result.Succeeded;
     }
}
  • 0
    点赞
  • 0
    收藏
    觉得还不错? 一键收藏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值